Subject: Re: [PATCH v2] net/mlx4: Use true,false for bool variable

From: Leon Romanovsky <[email-masked]>
Date: Tue, 15 Dec 2020 08:18:47 +0200

On Mon, Dec 14, 2020 at 09:37:34PM -0800, Joe Perches wrote:
> On Tue, 2020-12-15 at 07:18 +0200, Leon Romanovsky wrote:
> > On Mon, Dec 14, 2020 at 11:15:01AM -0800, Joe Perches wrote:
> > > I prefer revisions to single patches (as opposed to large patch series)
> > > in the same thread.
> >
> > It depends which side you are in that game. From the reviewer point of
> > view, such submission breaks flow very badly. It unfolds the already
> > reviewed thread, messes with the order and many more little annoying
> > things.
>
> This is where I disagree with you.  I am a reviewer here.

It is ok, different people have different views.

>
> Not having context to be able to inspect vN -> vN+1 is made
> more difficult not having the original patch available and
> having to search history for it.

I'm following after specific subsystems and see all patches there,
so for me and Jakub context already exists.

Bottom line, it depends on the workflow.

>
> Almost no one adds URL links to older submissions below the ---.

Too bad, maybe it is time to enforce it.

>
> Were that a standard mechanism below the --- line, then it would
> be OK.

So let's me summarize, we (RDMA and netdev subsystems) would like to ask
do not submit new patch revisions as reply-to.

Thanks